Subject: bug#20268: 25.0.50; pcase-lambda broken

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 08 Feb 2022 08:52:05 +0100

Stefan Monnier <[email-masked]> writes:

>> After the recent rewrite, pcase-lambda is broken. For example, eval the
>> following to get 46422 instead of the correct value 65535.
>
>>    (cl-some (pcase-lambda (`[fullsweep_after ,v]) v)
>>             '([min_bin_vheap_size 46422]
>>               [min_heap_size 233]
>>               [fullsweep_after 65535]
>>               [minor_gcs 40]))
>
> Indeed, that's the semantics I chose.

So I think everything here works as designed, and I'm therefore closing
this bug report.

I see that pcase-lambda wasn't documented in the manual, so I've now
done so in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no